Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface EN

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ON, PN, TN

All Known Implementing Classes:
  ENImpl, ONImpl, PNImpl, TNImpl

    public interface EN

extends ANY

A representation of the model object 'EN'. A name for a person, organization, place or thing. A sequence of name parts, such as given name or family name, prefix, suffix, etc. Examples for entity name values are "Jim Bob Walton, Jr.", "Health Level Seven, Inc.", "Lake Tahoe", etc. An entity name may be as simple as a character string or may consist of several entity name parts, such as, "Jim", "Bob", "Walton", and "Jr.", "Health Level Seven" and "Inc.", "Lake" and "Tahoe".

The following features are supported:

- `Mixed`
- `Group`
- `Delimiter`
- `Family`
- `Given`
- `Prefix`
- `Suffix`
- `Valid Time`
- `Use`

See Also:
  `CDAR2Package.getEN()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getDelimiter()` Returns the value of the 'Delimiter' containment reference list.
`org.eclipse.emf.common.util.EList` | `getFamily()` Returns the value of the 'Family' containment reference list.
`org.eclipse.emf.common.util.EList` | `getGiven()` Returns the value of the 'Given' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`org.eclipse.emf.common.util.EList` | `getPrefix()` Returns the value of the 'Prefix' containment reference list.
`org.eclipse.emf.common.util.EList` | `getSuffix()` Returns the value of the 'Suffix' containment reference list.
`java.util.List` | `getUse()` Returns the value of the 'Use' attribute.
`IVLTS` | `getValidTime()` Returns the value of the 'Valid Time' containment reference.
`void` | `setUse(java.util.List value)` Sets the value of the '`Use`' attribute.
`void` | `setValidTime(IVLTS value)` Sets the value of the '`Valid Time`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getEN_Mixed()`

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getEN_Group()`

### getDelimiter

    org.eclipse.emf.common.util.EList getDelimiter()

  Returns the value of the 'Delimiter' containment reference list. The list contents are of type `EnDelimiter`.

  If the meaning of the 'Delimiter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delimiter' containment reference list.
  See Also:
    `CDAR2Package.getEN_Delimiter()`

### getFamily

    org.eclipse.emf.common.util.EList getFamily()

  Returns the value of the 'Family' containment reference list. The list contents are of type `EnFamily`.

  If the meaning of the 'Family' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Family' containment reference list.
  See Also:
    `CDAR2Package.getEN_Family()`

### getGiven

    org.eclipse.emf.common.util.EList getGiven()

  Returns the value of the 'Given' containment reference list. The list contents are of type `EnGiven`.

  If the meaning of the 'Given' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Given' containment reference list.
  See Also:
    `CDAR2Package.getEN_Given()`

### getPrefix

    org.eclipse.emf.common.util.EList getPrefix()

  Returns the value of the 'Prefix' containment reference list. The list contents are of type `EnPrefix`.

  If the meaning of the 'Prefix' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Prefix' containment reference list.
  See Also:
    `CDAR2Package.getEN_Prefix()`

### getSuffix

    org.eclipse.emf.common.util.EList getSuffix()

  Returns the value of the 'Suffix' containment reference list. The list contents are of type `EnSuffix`.

  If the meaning of the 'Suffix' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Suffix' containment reference list.
  See Also:
    `CDAR2Package.getEN_Suffix()`

### getValidTime

    IVLTS getValidTime()

  Returns the value of the 'Valid Time' containment reference. An interval of time specifying the time during which the name is or was used for the entity. This accomodates the fact that people change names for people, places and things.

  Returns:
    the value of the 'Valid Time' containment reference.
  See Also:
    `setValidTime(IVLTS)`, `CDAR2Package.getEN_ValidTime()`

### setValidTime

    void setValidTime(IVLTS value)

  Sets the value of the '`Valid Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Valid Time' containment reference.
  See Also:
    `getValidTime()`

### getUse

    java.util.List getUse()

  Returns the value of the 'Use' attribute. A set of codes advising a system or user which name in a set of like names to select for a given purpose. A name without specific use code might be a default name useful for any purpose, but a name with a specific use code would be preferred for that respective purpose.

  Returns:
    the value of the 'Use' attribute.
  See Also:
    `setUse(List)`, `CDAR2Package.getEN_Use()`

### setUse

    void setUse(java.util.List value)

  Sets the value of the '`Use`' attribute.

  Parameters:
    `value` - the new value of the 'Use' attribute.
  See Also:
    `getUse()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD